From bd9a410a23055457f66f1322caca140718eb3804 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue.dev@gmail.com>
Date: Sep 27 2024 04:30:36 +0000
Subject: Add command to autobump releases and bump release to 3


Signed-off-by: Ryan Brue <ryanbrue.dev@gmail.com>

---

diff --git a/cosmic-packaging-tool/src/main.rs b/cosmic-packaging-tool/src/main.rs
index 234756f..525d139 100644
--- a/cosmic-packaging-tool/src/main.rs
+++ b/cosmic-packaging-tool/src/main.rs
@@ -35,6 +35,12 @@ enum Commands {
         #[arg(long)]
         exclude_gpl_3: bool,
     },
+    AutobumpReleases {
+        /// Packaging directory to rewrite cosmic spec files
+        packaging_dir: PathBuf,
+        /// Release to set (i.e. '%autorelease')
+        release: String,
+    },
 }
 
 const PACKAGES_ITER: [Packages; 22] = [
@@ -141,6 +147,14 @@ impl Packages {
             Packages::XdgDesktopPortalCosmic => "xdg-desktop-portal-cosmic",
         }
     }
+
+    fn package_dir<'a>(&self, packaging_dir: &Path) -> PathBuf {
+        packaging_dir.join(&format!(
+            "rpms/{}/{}.spec",
+            self.package_name(),
+            self.package_name()
+        ))
+    }
 }
 
 fn main() -> anyhow::Result<()> {
@@ -152,9 +166,24 @@ fn main() -> anyhow::Result<()> {
             packaging_dir,
             exclude_gpl_3,
         } => update_licenses_command(workdir, clean, packaging_dir, exclude_gpl_3),
+        Commands::AutobumpReleases {
+            packaging_dir,
+            release,
+        } => autobump_releases_command(&packaging_dir, &release),
     }
 }
 
+fn autobump_releases_command(packaging_dir: &Path, release: &str) -> anyhow::Result<()> {
+    for package in PACKAGES_ITER {
+        homebrew_sed(
+            &package.package_dir(packaging_dir),
+            "Release: ",
+            &format!("Release:        {}", release),
+        )?;
+    }
+    Ok(())
+}
+
 fn update_licenses_command(
     workdir: PathBuf,
     clean: bool,
@@ -171,7 +200,6 @@ fn update_licenses_command(
     let res = || -> anyhow::Result<()> {
         for package in PACKAGES_ITER {
             let package_repo = package.to_repo();
-            let package_name = package.package_name();
             println!("Package: {}", package_repo);
             if !&base_working_dir.join(package_repo).exists() {
                 let _ = Command::new("git")
@@ -211,10 +239,10 @@ fn update_licenses_command(
                 .join(" AND ");
             if let Some(packaging_dir) = packaging_dir.as_deref() {
                 if !license_result.is_empty() {
-                    set_license(
-                        &packaging_dir
-                            .join(&format!("rpms/{}/{}.spec", package_name, package_name)),
-                        &license_result,
+                    homebrew_sed(
+                        &package.package_dir(packaging_dir),
+                        "License: ",
+                        &format!("License:        {}", &license_result),
                     )?;
                 }
             }
@@ -236,10 +264,7 @@ fn update_licenses_command(
     Ok(())
 }
 
-fn set_license(spec_path: &Path, license: &str) -> anyhow::Result<()> {
-    let search_prefix = "License: ";
-    let replacement = &format!("License:        {}", license);
-
+fn homebrew_sed(spec_path: &Path, search_prefix: &str, replacement: &str) -> anyhow::Result<()> {
     // Step 1: Open the file and read it line by line
     let file = File::open(spec_path)?;
     let reader = io::BufReader::new(file);
diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 4f2e168..4ffae03 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -12,7 +12,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-app-library
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        App Library program for the COSMIC Desktop Environment
 
 License:        (MIT OR Apache-2.0 OR CC0-1.0) AND BSL-1.0 AND (Apache-2.0 OR MIT) AND MPL-2.0 AND MIT AND (MIT OR Apache-2.0) AND Zlib AND (Apache-2.0 OR BSL-1.0) AND (Zlib OR Apache-2.0 OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND CC0-1.0 AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND ISC AND (MIT OR Zlib OR Apache-2.0) AND BSD-3-Clause AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND Apache-2.0 AND (MIT OR Apache-2.0 OR Zlib) AND Unicode-3.0 AND BSD-2-Clause AND 
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 3317f38..cbf5d47 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -10,7 +10,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-applets
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Applets for the COSMIC Desktop Environment
 
 License:        BSD-2-Clause AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND GPL-3.0-only AND GPL-3.0-or-later AND ISC AND Unicode-3.0 AND (Apache-2.0 OR BSL-1.0) AND BSL-1.0 AND Unlicense AND MPL-2.0 AND  AND MIT AND Apache-2.0 AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0 OR Zlib) AND BSD-3-Clause AND (MIT OR Zlib OR Apache-2.0) AND (0BSD OR MIT OR Apache-2.0) AND CC0-1.0 AND (MIT OR Apache-2.0) AND (Unlicense OR MIT) AND Zlib AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR BSD-3-Clause) AND (Zlib OR Apache-2.0 OR MIT)
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 0456308..f49f06d 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -10,7 +10,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-bg
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Background manager for the COSMIC Desktop Environment
 
 License:        (Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND ISC AND Apache-2.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Zlib OR Apache-2.0 OR MIT) AND (MIT OR Zlib OR Apache-2.0) AND BSL-1.0 AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND MIT AND (MIT OR Apache-2.0) AND (0BSD OR MIT OR Apache-2.0) AND  AND BSD-3-Clause AND MPL-2.0 AND CC0-1.0
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index 5791b7e..2943e7f 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -10,7 +10,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-comp
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Compositor for the COSMIC Desktop Environment
 
 License:        (BSD-2-Clause OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND BSL-1.0 AND (MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND MIT AND (MIT OR Zlib OR Apache-2.0) AND Zlib AND BSD-2-Clause AND (BSD-3-Clause OR MIT OR Apache-2.0) AND GPL-3.0-only AND Apache-2.0 AND CC0-1.0 AND  AND ISC AND (Unlicense OR MIT) AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0 OR BSD-3-Clause) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-3-Clause AND (0BSD OR MIT OR Apache-2.0) AND MPL-2.0 AND Unicode-3.0 AND (Zlib OR Apache-2.0 OR MIT) AND ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND (MIT OR Apache-2.0 OR Zlib)
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index 40809c6..672c2ad 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -12,7 +12,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-edit
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Libcosmic text editor
 
 License:        MIT AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND  AND (MIT OR Apache-2.0) AND (0BSD OR MIT OR Apache-2.0) AND GPL-2.0-only AND Zlib AND (Zlib OR Apache-2.0 OR MIT) AND CC0-1.0 AND (MIT OR Zlib OR Apache-2.0) AND GPL-3.0-only AND (MIT OR Apache-2.0 OR Zlib) AND BSD-2-Clause AND BSD-3-Clause AND (BSD-3-Clause OR MIT OR Apache-2.0) AND ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND ISC AND Apache-2.0 AND Unicode-3.0 AND MPL-2.0 AND (Unlicense OR MIT) AND (Apache-2.0  OR  MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND BSL-1.0 AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0)
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 1732e7e..2747fe4 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -13,7 +13,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-files
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Libcosmic file manager
 
 License:        (BSD-2-Clause OR Apache-2.0 OR MIT) AND GPL-2.0-only AND CC0-1.0 AND BSD-2-Clause AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND  AND Apache-2.0 AND (BSD-3-Clause OR MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib) AND MPL-2.0 AND Unicode-3.0 AND (0BSD OR MIT OR Apache-2.0) AND BSL-1.0 AND ISC AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 OR MIT) AND BSD-3-Clause AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND (Apache-2.0  OR  MIT) AND MIT AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND GPL-3.0-only AND Zlib
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index 0e66f0f..d9d585b 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -10,7 +10,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-greeter
 Version: ###
-Release:        2
+Release:        3
 # Release:        %%autorelease
 Summary:        Login and display manager for the COSMIC Desktop Environment
 
diff --git a/rpms/cosmic-icon-theme/cosmic-icon-theme.spec b/rpms/cosmic-icon-theme/cosmic-icon-theme.spec
index 3b4281b..03e22cb 100644
--- a/rpms/cosmic-icon-theme/cosmic-icon-theme.spec
+++ b/rpms/cosmic-icon-theme/cosmic-icon-theme.spec
@@ -6,7 +6,7 @@
 
 Name:           cosmic-icon-theme
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Icon theme for the COSMIC Desktop Environment
 
 License:        CC-BY-SA-4.0
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index ebf85f5..1d3f17b 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -13,7 +13,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-launcher
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Pop launcher frontend for the COSMIC Desktop Environment
 
 License:        BSD-3-Clause AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND (Apache-2.0 OR MIT) AND BSD-2-Clause AND CC0-1.0 AND (MIT OR Apache-2.0 OR CC0-1.0) AND Apache-2.0 WITH LLVM-exception AND MIT AND Unicode-3.0 AND (Apache-2.0  OR  MIT) AND (Unlicense OR MIT) AND MPL-2.0 AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib) AND ISC AND (MIT OR Zlib OR Apache-2.0) AND Zlib AND (Zlib OR Apache-2.0 OR MIT) AND  AND BSL-1.0 AND MIT AND BSD-3-Clause
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index 500dbf4..9416789 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -10,7 +10,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-notifications
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Notifications daemon for the COSMIC Desktop Environment
 
 License:        (Zlib OR Apache-2.0 OR MIT) AND BSD-2-Clause AND (Unlicense OR MIT) AND CC0-1.0 AND (Apache-2.0  OR  MIT) AND (MIT OR Apache-2.0) AND MPL-2.0 AND  AND (Apache-2.0 OR MIT) AND BSL-1.0 AND (MIT OR Apache-2.0 OR Zlib) AND Unicode-3.0 AND (0BSD OR MIT OR Apache-2.0) AND MIT AND (MIT OR Apache-2.0 OR CC0-1.0) AND (Apache-2.0 OR BSD-3-Clause) AND BSD-3-Clause AND (Apache-2.0 OR BSL-1.0) AND ISC AND MIT AND BSD-3-Clause AND Zlib AND (MIT OR Zlib OR Apache-2.0) AND Apache-2.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT)
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index c163c56..668b3f1 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -13,7 +13,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-osd
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        OSDs for the COSMIC Desktop Environment
 
 License:        BSD-3-Clause AND (Apache-2.0 OR MIT) AND  AND BSD-2-Clause AND BSL-1.0 AND MPL-2.0 AND (Unlicense OR MIT) AND Zlib AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND CC0-1.0 AND ISC AND (MIT OR Zlib OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib) AND (Apache-2.0 OR BSL-1.0) AND (Zlib OR Apache-2.0 OR MIT) AND Apache-2.0 AND Unicode-3.0 AND GPL-3.0-or-later AND MIT AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0)
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index 22d8b33..a491d87 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -10,7 +10,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-panel
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Panel for the COSMIC Desktop Environment
 
 License:         AND ISC AND CC0-1.0 AND (MIT OR Apache-2.0 OR Zlib) AND (Zlib OR Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Apache-2.0 OR MIT) AND BSL-1.0 AND (MIT OR Apache-2.0 OR CC0-1.0) AND MPL-2.0 AND BSD-2-Clause AND (MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND MIT AND (Unlicense OR MIT) AND Zlib AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSD-3-Clause) AND BSD-3-Clause
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index 0602e4d..0a0ab64 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -10,7 +10,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-randr
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Display configuration command line tool
 
 License:        Apache-2.0 AND (0BSD OR MIT OR Apache-2.0) AND GPL-3.0-only AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0) AND  AND (MIT OR Zlib OR Apache-2.0) AND ISC AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND MIT AND Zlib AND MPL-2.0
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index ea43bfd..5b87725 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -13,7 +13,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-screenshot
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Screenshot utility for the COSMIC Desktop Environment
 
 License:         AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-3-Clause AND (MIT OR Apache-2.0 OR Zlib) AND (0BSD OR MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND MIT AND (MIT OR Apache-2.0) AND MPL-2.0 AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT)
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index e3e86a4..cdf896a 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -13,7 +13,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-session
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Session manager for the COSMIC desktop environment
 
 License:         AND MIT AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND BSD-3-Clause AND (Zlib OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND Zlib AND GPL-3.0-only AND MPL-2.0 AND (MIT OR Zlib OR Apache-2.0) AND (Apache-2.0 OR BSD-3-Clause) AND (MIT OR Apache-2.0)
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index c051982..4355fd5 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -13,7 +13,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-settings-daemon
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Settings daemon for the COSMIC Desktop Environment
 
 License:        ISC AND GPL-3.0-or-later AND (MIT OR Apache-2.0 OR CC0-1.0) AND (MIT OR Apache-2.0) AND MPL-2.0 AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND BSD-3-Clause AND BSL-1.0 AND (MIT OR Zlib OR Apache-2.0) AND BSD-2-Clause AND Apache-2.0 AND (0BSD OR MIT OR Apache-2.0) AND Zlib AND (MIT OR Apache-2.0 OR Zlib) AND (Zlib OR Apache-2.0 OR MIT) AND  AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND MIT AND CC0-1.0 AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT)
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index c6f5268..d8128a1 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -12,7 +12,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-settings
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Settings app for the COSMIC Desktop Environment
 
 License:        (Apache-2.0  OR  MIT) AND (Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND Apache-2.0 AND (0BSD OR MIT OR Apache-2.0) AND CC0-1.0 AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND Zlib AND (Zlib OR Apache-2.0 OR MIT) AND Unlicense AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND GPL-3.0-only AND Unicode-3.0 AND (CC0-1.0 OR Apache-2.0) AND ISC AND BSL-1.0 AND (MIT OR Apache-2.0 OR NCSA) AND Apache-2.0 WITH LLVM-exception AND (Apache-2.0 OR BSL-1.0) AND  AND MIT AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0) AND MPL-2.0 AND BSD-2-Clause AND BSD-3-Clause
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index fab8961..e5e4a75 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -10,7 +10,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-store
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        App store for the COSMIC Desktop Environment
 
 License:        Apache-2.0 AND (Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND MIT AND (Apache-2.0 OR ISC OR MIT) AND (BSD-3-Clause OR MIT OR Apache-2.0) AND BSD-3-Clause AND MPL-2.0 AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND (MIT OR Zlib OR Apache-2.0) AND Unicode-3.0 AND (Zlib OR Apache-2.0 OR MIT) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Apache-2.0  OR  MIT) AND ((Apache-2.0 OR MIT) AND BSD-3-Clause) AND ISC AND  AND Zlib AND BSD-2-Clause AND BSL-1.0 AND CC0-1.0 AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR CC0-1.0)
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index 739b0d2..c40ad21 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -12,7 +12,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-term
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Terminal emulator built with alacritty and Libcosmic
 
 License:        BSL-1.0 AND Apache-2.0 AND BSD-3-Clause AND (MIT OR Apache-2.0 OR CC0-1.0) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0) AND (MIT OR Apache-2.0 OR Zlib) AND (Apache-2.0  OR  MIT) AND MPL-2.0 AND Unicode-3.0 AND GPL-2.0-only AND (Unlicense OR MIT) AND (Apache-2.0 OR MIT) AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND Zlib AND (Zlib OR Apache-2.0 OR MIT) AND ISC AND MIT AND  AND (0BSD OR MIT OR Apache-2.0) AND (BSD-3-Clause OR MIT OR Apache-2.0) AND CC0-1.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND GPL-3.0-only AND (MIT OR Zlib OR Apache-2.0) AND BSD-2-Clause
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index a8ac6fd..c3d8249 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -13,7 +13,7 @@ ExcludeArch: %{ix86}
 
 Name:           cosmic-workspaces
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Workspaces overview for the COSMIC Desktop Environment
 
 License:        (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT) AND Unicode-3.0 AND Zlib AND (Apache-2.0 OR BSL-1.0) AND (MIT OR Apache-2.0) AND BSL-1.0 AND ISC AND (Apache-2.0 OR MIT) AND CC0-1.0 AND MIT AND MPL-2.0 AND (0BSD OR MIT OR Apache-2.0) AND BSD-3-Clause AND (MIT OR Apache-2.0 OR CC0-1.0) AND Apache-2.0 AND  AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (Zlib OR Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-2-Clause AND (MIT OR Apache-2.0 OR Zlib)
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index 2967f34..72648df 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -10,7 +10,7 @@ ExcludeArch: %{ix86}
 
 Name:           pop-launcher
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        Modular IPC-based desktop launcher service
 
 License:        Apache-2.0 WITH LLVM-exception AND ISC AND (MIT OR Apache-2.0 OR Zlib) AND MIT AND GPL-3.0-only AND Apache-2.0 AND (MIT OR Zlib OR Apache-2.0) AND (MIT OR Apache-2.0) AND (Unlicense OR MIT) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR MIT) AND MPL-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Apache-2.0  OR  MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND Zlib AND BSD-3-Clause AND (Zlib OR Apache-2.0 OR MIT) AND 
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index bf6e47c..c1b5421 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -13,7 +13,7 @@ ExcludeArch: %{ix86}
 
 Name:           xdg-desktop-portal-cosmic
 Version: ###
-Release:        %autorelease
+Release:        3
 Summary:        XDG Desktop Portals for the COSMIC Desktop Environment
 
 License:        GPL-2.0-only AND BSL-1.0 AND ISC AND (MIT OR Zlib OR Apache-2.0) AND GPL-3.0-or-later AND (MIT OR Apache-2.0 OR CC0-1.0) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND Unicode-3.0 AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND  AND GPL-3.0-only AND (MIT OR Apache-2.0) AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND MIT AND (CC0-1.0 OR MIT-0 OR Apache-2.0) AND (MIT OR Apache-2.0 OR NCSA) AND BSD-3-Clause AND (MIT OR Apache-2.0 OR Zlib) AND Zlib AND (Zlib OR Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND (CC0-1.0 OR Apache-2.0) AND MPL-2.0 AND Apache-2.0 WITH LLVM-exception AND BSD-2-Clause AND (Apache-2.0  OR  MIT) AND Apache-2.0 AND CC0-1.0

